Kea: isc::dhcp::TokenLeaseIA_PD Class Reference

| Kea 3.2.0-git

isc::dhcp::TokenLeaseIA_PD Class Reference

Filter the IA_PD (25) option containing the OPTION_IAPREFIX (25) option matching the respective lease. More...

Inheritance diagram for isc::dhcp::TokenLeaseIA_PD:
[legend]

## Public Member Functions
| TokenLeaseIA_PD (const Lease6Ptr &lease, const RepresentationType &rep_type)
| Constructor.
virtual OptionPtr | getOption (Pkt &pkt)
| Get the IA_PD (25) option containing the OPTION_IAPREFIX (25) option matching the respective lease.
Public Member Functions inherited from isc::dhcp::TokenOption
| TokenOption (const uint16_t option_code, const RepresentationType &rep_type)
| Constructor that takes an option code as a parameter.
virtual unsigned | evaluate (Pkt &pkt, ValueStack &values)
| Evaluates the values of the option.
uint16_t | getCode () const
| Returns option-code.
RepresentationType | getRepresentation () const
| Returns representation-type.
Public Member Functions inherited from isc::dhcp::Token
virtual | ~Token ()
| Virtual destructor.
virtual unsigned | getLabel () const
| Return the label of this token.

## Additional Inherited Members
Public Types inherited from isc::dhcp::TokenOption
enum | RepresentationType { TEXTUAL , HEXADECIMAL , EXISTS }
| Token representation type. More...
Static Public Member Functions inherited from isc::dhcp::Token
static bool | toBool (std::string value)
| Coverts a (string) value to a boolean.
Protected Member Functions inherited from isc::dhcp::TokenOption
virtual std::string | pushFailure (ValueStack &values)
| Auxiliary method that puts string representing a failure.
Protected Attributes inherited from isc::dhcp::TokenOption
uint16_t | option_code_
| Code of the option to be extracted.
RepresentationType | representation_type_
| Representation type.

## Detailed Description

Filter the IA_PD (25) option containing the OPTION_IAPREFIX (25) option matching the respective lease.

Used when filtering options.

Definition at line 236 of file lease6_callouts.cc.

## Constructor & Destructor Documentation

## ◆ TokenLeaseIA_PD()

isc::dhcp::TokenLeaseIA_PD::TokenLeaseIA_PD | ( | const Lease6Ptr & | lease,
|  | const RepresentationType & | rep_type )
| inline

Constructor.

Parameters

  lease | The lease used to match any OPTION_IAPREFIX option in the IA_PD packet options.
  rep_type | Token representation type.

Definition at line 243 of file lease6_callouts.cc.

References isc::dhcp::TokenOption::TokenOption(), D6O_IA_PD, and isc::dhcp::Lease::TYPE_PD.

Referenced by isc::dhcp::TokenLeaseIA_PDSuboption::TokenLeaseIA_PDSuboption().

Here is the call graph for this function:

## Member Function Documentation

## ◆ getOption()

virtual OptionPtr isc::dhcp::TokenLeaseIA_PD::getOption | ( | Pkt & | pkt | ) |
| inlinevirtual

Get the IA_PD (25) option containing the OPTION_IAPREFIX (25) option matching the respective lease.

Parameters

  pkt | The packet containing options.

Returns
  A copy of the IA_PD option containing only one OPTION_IAPREFIX option (but all other options of different type) matching the respective lease or null if none exists.

Reimplemented from isc::dhcp::TokenOption.

Reimplemented in isc::dhcp::TokenLeaseIA_PDSuboption.

Definition at line 257 of file lease6_callouts.cc.

References D6O_IA_PD, D6O_IAADDR, D6O_IAPREFIX, and isc::dhcp::Pkt::getOptions().

Referenced by isc::dhcp::TokenLeaseIA_PDSuboption::getOption().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- lease6_callouts.cc